<!-- <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        *{
    
    font-family:"Roboto";
}
        body{
            background-color: rgb(62, 62, 62);
            position: relative;
           
        }
        .container{
            position: relative;
            width: 400px;
            height: 200px;
            border: 2px solid tan;
            border-radius: 30px;
            background-color: tan;
            left:35%;
            top: 190px;
            text-align: center;
            
        }
        .container #task{
            width: 300px;
            height: 40px;
            background-color: tan;
            border-radius: 25px;
            border: 2px solid black;
        }
        .container .add{
            position: absolute;
            width: 80px;
            height: 45px;
            right: 11%;
            background-color: black;
            color: white;
            border-radius: 25px;
        }
        .container .add:hover{
            cursor: pointer;
        }

    </style>
</head>
<body>
    <div class="container">
        <div><h1>TO Do App</h1></div>
        <div><input type="text" id="task" placeholder="Add Your Task">
            <button class="add">Add Task</button>
            <span><label for="check" class="cross"><i class="fa-solid fa-xmark"></i></label>
            </span>
            <ul id="task-list"></ul>
        </div>
    </div>

    <script>
        const inputBox = document.getElementById("task");
        const btn = document.getElementById("button");
        const taskList = document.getElementById("task-list");

        btn.addEventListener('click',e=> {
            if (e.target.innerHTML === "add task") {
                addTask();
            }
        });

        function addTask() {
            const taskText = inputBox.value.trim();

            if (taskText !== "") {
                const taskItem = document.createElement("li");
                taskItem.className = "task-item";
                taskItem.innerHTML = `
                    <span>${taskText}</span>
                    <button class="delete-btn" onclick="deleteTask(this)">Delete</button>
                `;
                taskList.appendChild(taskItem);

                inputBox.value = "";
            }
        }

        function deleteTask(button) {
            const taskItem = button.closest(".task-item");
            taskList.removeChild(taskItem);
        }
    </script>
</body>
</html> -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>To-Do App</title>
    <style>
        * {
            font-family: "Roboto";
            box-sizing: border-box;
        }

        body {
            background-color: rgb(62, 62, 62);
            position: relative;
        }

        .container {
            position: relative;
            width: 400px;
            
            
            border: 2px solid tan;
            border-radius: 30px;
            background-color: tan;
            margin: 50px auto;
            padding: 20px;
            text-align: center;
        }

        #task {
            width: 300px;
            height: 40px;
            background-color: tan;
            border-radius: 25px;
            border: 2px solid black;
            margin-bottom: 10px;
            padding: 5px;
        }
        .container .add{
            position: absolute;
            width: 80px;
            height: 45px;
            right: 11%;
            background-color: black;
            color: white;
            border-radius: 25px;
        }
        .add {
            width: 80px;
            height: 45px;
            background-color: black;
            color: white;
            border-radius: 25px;
            cursor: pointer;
        }

        .add:hover {
            background-color: #333;
        }

        #task-list {
            list-style: none;
            padding: 0;
            margin: 0;
            text-align: left;
        }

        .task-item {
            display: flex;
            justify-content: space-between;
            align-items: center;
            background-color: #fff;
            border: 1px solid #ccc;
            border-radius: 10px;
            padding: 10px;
            margin-bottom: 10px;
            
        }

        .delete-btn {
            background-color: #ff0000;
            color: #fff;
            border: none;
            border-radius: 5px;
            padding: 5px 10px;
            cursor: pointer;
        }

        .delete-btn:hover {
            background-color: #cc0000;
        }
      ul li:checked{
            background-color: aquamarine;
        }
        li:hover{
            cursor: pointer;
            background-color: aquamarine;

        }

    </style>
</head>
<body>
    <div class="container">
        <h1>To Do App</h1>
        <input type="text" id="task" placeholder="Add Your Task">
        <button class="add" onclick="addTask()">Add Task</button>
        <ul id="task-list" ></ul>

    </div>

    <script>
        const inputBox = document.getElementById("task");
        const taskList = document.getElementById("task-list");

        function addTask() {
            const taskText = inputBox.value;

            if (taskText !== "") {
                const taskItem = document.createElement("li");
                taskItem.className = "task-item";
                taskItem.innerHTML = `
                    <span> ${taskText}</span>
                    <button class="delete-btn" onclick="deleteTask(this)">Delete</button>
                `;
                taskList.appendChild(taskItem);
                
                inputBox.value = "";
            }
            savedata()
        }

        function deleteTask(button) {
            const taskItem = button.parentElement;
            taskList.removeChild(taskItem);
            savedata()
        }
       
            document.addEventListener('click',(ele)=>{
            if(ele.target.tagName=='li'){
                ele.target.classList.toggle('taskItem')

            }
        })
        
        function savedata(){
            sessionStorage.setItem=("tasks",taskList.innerHTML)
        }
        function showdata(){
            taskList.innerHTML=sessionStorage.getItem("tasks")
        }
        showdata();
    </script>
</body>
</html>
